Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-execute_loop.fig
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-execute_loop.fig	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-execute_loop.fig	(revision 30)
@@ -1,3 +1,3 @@
-#FIG 3.2  Produced by xfig version 3.2.5-alpha5
+#FIG 3.2
 Landscape
 Center
@@ -13,5 +13,5 @@
 4 1 0 50 -1 -1 10 0.0000 4 105 510 7920 6030 memory\001
 4 1 0 50 -1 -1 10 0.0000 4 105 255 7920 5895 read\001
-4 1 0 50 -1 -1 10 0.0000 4 120 345 7920 6165 queue\001
+4 1 0 50 -1 -1 10 0.0000 4 105 345 7920 6165 queue\001
 -6
 6 10260 6390 10980 6840
@@ -29,5 +29,5 @@
 	 8280 6840 7560 6840 7560 6390 8280 6390 8280 6840
 4 1 0 50 -1 -1 10 0.0000 4 105 255 7920 6570 read\001
-4 1 0 50 -1 -1 10 0.0000 4 120 345 7920 6750 queue\001
+4 1 0 50 -1 -1 10 0.0000 4 105 345 7920 6750 queue\001
 -6
 6 8640 6390 9360 6840
@@ -36,11 +36,4 @@
 4 1 0 50 -1 -1 10 0.0000 4 105 690 9000 6570 reservation\001
 4 1 0 50 -1 -1 10 0.0000 4 105 435 9000 6750 station\001
--6
-6 7380 7200 13860 7920
-2 2 2 1 0 7 50 -1 -1 3.000 0 0 -1 0 0 5
-	 7380 7200 13860 7200 13860 7920 7380 7920 7380 7200
-2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
-	 13680 7740 13680 7380 7560 7380 7560 7740 13680 7740
-4 1 0 50 -1 -1 10 0.0000 4 135 480 10620 7605 register\001
 -6
 2 2 2 1 0 7 50 -1 -1 3.000 0 0 -1 0 0 5
@@ -126,12 +119,34 @@
 	3 0 1.00 60.00 120.00
 	 10620 5760 10620 5130
+2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 13680 7740 13680 7380 7560 7380 7560 7740 13680 7740
+2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 13680 8280 13680 7920 7560 7920 7560 8280 13680 8280
+2 2 2 1 0 7 50 -1 -1 3.000 0 0 -1 0 0 5
+	 7380 7200 13860 7200 13860 8460 7380 8460 7380 7200
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 12780 7335 12780 7920
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 8505 7380 8505 7920
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 8415 7380 8415 7920
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 1 2
+	3 0 1.00 60.00 120.00
+	3 0 1.00 60.00 120.00
+	 7560 8100 7200 8100
 4 1 0 50 -1 -1 10 1.5708 4 105 360 9945 6615 select\001
 4 1 0 50 -1 -1 10 1.5708 4 105 360 11385 6300 select\001
-4 1 0 50 -1 -1 10 0.0000 4 120 345 12240 6435 queue\001
+4 1 0 50 -1 -1 10 0.0000 4 105 345 12240 6435 queue\001
 4 1 0 50 -1 -1 10 0.0000 4 105 345 12240 6255 write\001
 4 1 0 50 -1 -1 10 0.0000 4 90 465 13320 6255 execute\001
-4 1 0 50 -1 -1 10 0.0000 4 120 345 13320 6435 queue\001
-4 0 0 50 -1 -1 10 0.0000 4 150 405 8820 5355 bypass\001
+4 1 0 50 -1 -1 10 0.0000 4 105 345 13320 6435 queue\001
+4 0 0 50 -1 -1 10 0.0000 4 135 405 8820 5355 bypass\001
 4 1 0 50 -1 -1 10 0.0000 4 105 420 10620 5085 Dcache\001
 4 2 0 50 -1 -1 10 0.0000 4 90 465 13995 6660 execute\001
 4 0 0 50 -1 -1 10 0.0000 4 75 435 7245 6345 rename\001
+4 1 0 50 -1 -1 10 0.0000 4 135 480 10620 7605 register\001
+4 1 0 50 -1 -1 10 0.0000 4 105 630 10620 8145 status list\001
+4 0 0 50 -1 -1 10 0.0000 4 150 855 7290 8415 register_state\001
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-groupement.fig
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-groupement.fig	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-groupement.fig	(revision 30)
@@ -0,0 +1,187 @@
+#FIG 3.2
+Landscape
+Center
+Metric
+A4      
+100.00
+Single
+-2
+1200 2
+6 4770 3690 5490 4140
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 5490 4140 4770 4140 4770 3690 5490 3690 5490 4140
+4 1 0 50 -1 -1 12 0.0000 4 135 450 5130 3960 decod\001
+-6
+6 4770 3240 5490 3690
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 5490 3690 4770 3690 4770 3240 5490 3240 5490 3690
+4 1 0 50 -1 -1 12 0.0000 4 105 570 5130 3420 context\001
+4 1 0 50 -1 -1 12 0.0000 4 105 390 5130 3600 state\001
+-6
+6 5850 3690 6570 4140
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 6570 4140 5850 4140 5850 3690 6570 3690 6570 4140
+4 1 0 50 -1 -1 12 0.0000 4 90 555 6210 3960 rename\001
+-6
+6 8370 3690 9090 4140
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 9090 4140 8370 4140 8370 3690 9090 3690 9090 4140
+4 1 0 50 -1 -1 12 0.0000 4 135 330 8730 3960 read\001
+-6
+6 11250 3690 11970 4140
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 11970 4140 11250 4140 11250 3690 11970 3690 11970 4140
+4 1 0 50 -1 -1 12 0.0000 4 135 390 11610 3960 write\001
+-6
+6 9810 3420 10530 3870
+2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 10530 3870 9810 3870 9810 3420 10530 3420 10530 3870
+4 1 0 50 -1 -1 12 0.0000 4 135 600 10170 3690 memory\001
+-6
+6 9810 3960 10530 4410
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 10530 4410 9810 4410 9810 3960 10530 3960 10530 4410
+4 1 0 50 -1 -1 12 0.0000 4 105 600 10170 4230 execute\001
+-6
+6 9810 2475 10530 2925
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 10530 2925 9810 2925 9810 2475 10530 2475 10530 2925
+4 1 0 50 -1 -1 12 0.0000 4 150 300 10170 2835 port\001
+4 1 0 50 -1 -1 12 0.0000 4 135 540 10170 2655 dcache\001
+-6
+6 6570 3015 7290 3465
+2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 7290 3465 6570 3465 6570 3015 7290 3015 7290 3465
+4 1 0 50 -1 -1 12 0.0000 4 135 555 6930 3285 commit\001
+-6
+6 3825 3060 4635 3510
+2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 4590 3510 3870 3510 3870 3060 4590 3060 4590 3510
+4 1 0 50 -1 -1 12 0.0000 4 180 675 4230 3330 predictor\001
+-6
+6 2970 3690 3690 4140
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 3690 4140 2970 4140 2970 3690 3690 3690 3690 4140
+4 1 0 50 -1 -1 12 0.0000 4 135 390 3330 3960 fetch\001
+-6
+6 1800 4590 3735 5310
+2 4 0 0 14 14 52 -1 20 0.000 0 0 7 0 0 5
+	 1800 5040 2160 5040 2160 4860 1800 4860 1800 5040
+2 4 0 0 12 4 51 -1 20 0.000 0 0 7 0 0 5
+	 2160 4770 2160 4590 1800 4590 1800 4770 2160 4770
+2 4 0 0 14 27 53 -1 20 0.000 0 0 7 0 0 5
+	 1800 5130 2160 5130 2160 5310 1800 5310 1800 5130
+4 0 0 50 -1 -1 12 0.0000 4 135 450 2250 5265 Coeur\001
+4 0 0 50 -1 -1 12 0.0000 4 135 1470 2250 4995 Unit\351 de lancement\001
+4 0 0 50 -1 -1 12 0.0000 4 135 690 2250 4725 Contexte\001
+-6
+2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 4
+	3 0 1.00 60.00 120.00
+	 6930 3015 6930 2790 5130 2790 5130 3240
+2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 5130 2790 4230 2790 4230 3060
+2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 6030 2790 6030 3690
+2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 5490 3915 5850 3915
+2 1 0 1 0 31 50 -1 -1 4.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 6390 3690 6390 3240 6570 3240
+2 1 0 1 0 7 50 -1 20 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 6570 3915 7650 3915
+2 1 0 1 0 7 50 -1 20 3.000 0 0 -1 0 0 1
+	 7650 3780
+2 1 0 1 0 7 50 -1 20 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 8010 3915 8370 3915
+2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 4
+	3 0 1.00 60.00 120.00
+	 11970 3915 12150 3915 12150 3240 8010 3240
+2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 4
+	3 0 1.00 60.00 120.00
+	 11430 4140 11430 4500 8820 4500 8820 4140
+2 1 0 1 0 7 50 -1 20 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 8640 4680 8640 4140
+2 1 0 1 0 7 50 -1 20 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 11790 4140 11790 4680
+2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 11970 5040 11970 4680 8370 4680 8370 5040 11970 5040
+2 2 2 1 0 7 50 -1 -1 3.000 0 0 7 0 0 5
+	 8190 3105 12330 3105 12330 5220 8190 5220 8190 3105
+2 4 0 1 0 7 50 -1 20 3.000 0 0 7 0 0 5
+	 11070 3510 11070 4320 10710 4320 10710 3510 11070 3510
+2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 11070 3915 11250 3915
+2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 9090 3915 9270 3915
+2 4 0 1 0 7 50 -1 20 3.000 0 0 7 0 0 5
+	 9630 3510 9630 4320 9270 4320 9270 3510 9630 3510
+2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 9630 4185 9810 4185
+2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 10530 4185 10710 4185
+2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 10530 3645 10710 3645
+2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 9630 3645 9810 3645
+2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 1 2
+	3 0 1.00 60.00 120.00
+	3 0 1.00 60.00 120.00
+	 10170 2925 10170 3420
+2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 7650 3240 7290 3240
+2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 6930 3465 6930 3915
+2 1 0 1 0 31 50 -1 -1 4.000 0 0 -1 1 1 3
+	3 0 1.00 60.00 120.00
+	3 0 1.00 60.00 120.00
+	 4410 3510 4410 3780 4770 3780
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 1 2
+	3 0 1.00 60.00 120.00
+	3 0 1.00 60.00 120.00
+	 2970 3915 2610 3915
+2 2 2 1 0 7 50 -1 -1 3.000 0 0 -1 0 0 5
+	 1710 5400 12510 5400 12510 2295 1710 2295 1710 5400
+2 1 0 1 0 31 50 -1 -1 4.000 0 0 -1 1 1 3
+	3 0 1.00 60.00 120.00
+	3 0 1.00 60.00 120.00
+	 4050 3510 4050 3780 3690 3780
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 3690 4050 4770 4050
+2 2 2 1 0 7 50 -1 -1 3.000 0 0 -1 0 0 5
+	 5580 2880 2790 2880 2790 4320 5580 4320 5580 2880
+2 2 2 1 0 7 50 -1 -1 3.000 0 0 7 0 0 5
+	 7470 4320 5760 4320 5760 2610 7470 2610 7470 4320
+2 4 0 1 0 7 50 -1 20 3.000 0 0 8 0 0 5
+	 8010 2880 8010 4320 7650 4320 7650 2880 8010 2880
+2 4 0 0 12 4 51 -1 20 0.000 0 0 7 0 0 5
+	 3780 4230 3780 3600 2880 3600 2880 4230 3780 4230
+2 4 0 0 14 14 52 -1 20 0.000 0 0 7 0 0 5
+	 2790 4410 7740 4410 7740 2700 2790 2700 2790 4410
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 2610 4140 1890 4140 1890 3690 2610 3690 2610 4140
+2 4 0 0 14 27 53 -1 20 0.000 0 0 7 0 0 5
+	 7740 2430 10620 2430 10620 2970 7740 2970 7740 2430
+2 4 0 0 14 27 53 -1 20 0.000 0 0 7 0 0 5
+	 7920 2430 1800 2430 1800 4500 7920 4500 7920 2430
+4 1 0 50 -1 -1 12 0.0000 4 180 585 10170 4905 register\001
+4 1 0 50 -1 -1 12 1.5708 4 135 465 10935 3915 select\001
+4 1 0 50 -1 -1 12 1.5708 4 135 465 9495 3915 select\001
+4 1 0 50 -1 -1 12 1.5708 4 135 465 7875 3600 select\001
+4 1 0 50 -1 -1 12 0.0000 4 150 300 2250 4050 port\001
+4 1 0 50 -1 -1 12 0.0000 4 135 495 2250 3870 icache\001
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-out_of_order_engine.fig
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-out_of_order_engine.fig	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_micro_architecture-out_of_order_engine.fig	(revision 30)
@@ -1,3 +1,3 @@
-#FIG 3.2  Produced by xfig version 3.2.5-alpha5
+#FIG 3.2
 Landscape
 Center
@@ -8,9 +8,4 @@
 -2
 1200 2
-6 4590 5400 5310 5850
-2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
-	 5310 5850 4590 5850 4590 5400 5310 5400 5310 5850
-4 1 0 50 -1 -1 10 0.0000 4 105 315 4950 5670 RAT\001
--6
 6 7020 3600 7740 4050
 6 7020 3600 7740 4050
@@ -26,29 +21,20 @@
 4 1 0 50 -1 -1 10 0.0000 4 105 315 7380 3150 State\001
 -6
-6 6210 5985 6930 6435
+6 5130 5400 5850 5850
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 5850 5850 5130 5850 5130 5400 5850 5400 5850 5850
+4 1 0 50 -1 -1 10 0.0000 4 105 315 5490 5670 RAT\001
+-6
+6 6750 5985 7470 6435
 2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
-	 6930 6435 6210 6435 6210 5985 6930 5985 6930 6435
-4 1 0 50 -1 -1 10 0.0000 4 105 375 6570 6345 RAW\001
-4 1 0 50 -1 -1 10 0.0000 4 105 375 6570 6165 Check\001
+	 7470 6435 6750 6435 6750 5985 7470 5985 7470 6435
+4 1 0 50 -1 -1 10 0.0000 4 105 375 7110 6345 RAW\001
+4 1 0 50 -1 -1 10 0.0000 4 105 375 7110 6165 Check\001
 -6
 1 3 0 1 0 7 50 -1 0 3.000 1 0.0000 7652 5222 30 30 7652 5222 7682 5218
-2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 4230 6210 6210 6210
-2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
-	 5310 5040 4590 5040 4590 4590 5310 4590 5310 5040
-2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
-	 6390 5850 5670 5850 5670 5400 6390 5400 6390 5850
-2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
-	 7470 5850 6750 5850 6750 5400 7470 5400 7470 5850
+1 3 0 1 0 7 50 -1 0 3.000 1 0.0000 7665 5764 30 30 7665 5764 7695 5760
 2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 4950 5850 4950 6210
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 6930 6210 7830 6210
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 7110 6210 7110 5850
+	 7470 6210 7830 6210
 2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
 	 8550 6435 7830 6435 7830 5985 8550 5985 8550 6435
@@ -58,22 +44,8 @@
 2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 6750 5625 6390 5625
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 7110 4050 7110 5400
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
-	 7110 4815 5310 4815
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
 	 8910 3825 7740 3825
 2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 7110 4320 4230 4320
-2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
-	3 0 1.00 60.00 120.00
 	 7650 6210 7650 4050
-2 2 2 1 0 7 50 -1 -1 3.000 0 0 7 0 0 5
-	 8730 6570 4410 6570 4410 4410 8730 4410 8730 6570
 2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 1 2
 	3 0 1.00 60.00 120.00
@@ -84,23 +56,58 @@
 2 1 0 1 0 7 50 -1 -1 3.000 0 0 -1 1 0 3
 	3 0 1.00 60.00 120.00
-	 7650 5220 5130 5220 5130 5400
+	 7650 5220 5670 5220 5670 5400
+2 1 0 1 0 7 50 -1 -1 4.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 4770 6210 6750 6210
+2 4 0 1 0 11 50 -1 20 4.000 0 0 7 0 0 5
+	 5850 5040 5130 5040 5130 4590 5850 4590 5850 5040
+2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 6930 5850 6210 5850 6210 5400 6930 5400 6930 5850
 2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 4770 5040 4770 5400
+	 5490 5850 5490 6210
 2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
 	3 0 1.00 60.00 120.00
-	 6030 5850 6030 6210
-4 1 0 50 -1 -1 10 0.0000 4 105 315 4950 4770 RAT\001
-4 1 0 50 -1 -1 10 0.0000 4 150 450 4950 4950 Update\001
-4 1 0 50 -1 -1 10 0.0000 4 105 270 6030 5580 Free\001
-4 1 0 50 -1 -1 10 0.0000 4 105 255 6030 5805 List\001
-4 1 0 50 -1 -1 10 0.0000 4 105 390 7110 5580 Status\001
-4 1 0 50 -1 -1 10 0.0000 4 105 255 7110 5775 List\001
+	 7110 4320 4770 4320
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 5310 5040 5310 5400
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 6570 5850 6570 6210
+2 2 2 1 0 7 50 -1 -1 3.000 0 0 7 0 0 5
+	 8730 6570 4950 6570 4950 4410 8730 4410 8730 6570
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 7110 4050 7110 4815 5850 4815
+2 4 0 1 0 31 50 -1 20 4.000 0 0 7 0 0 5
+	 8550 5850 7830 5850 7830 5400 8550 5400 8550 5850
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 7650 5760 7830 5760
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 3
+	3 0 1.00 60.00 120.00
+	 7110 4815 7110 5490 7830 5490
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 0 2
+	3 0 1.00 60.00 120.00
+	 7830 5625 6930 5625
+2 1 0 1 0 7 50 -1 -1 0.000 0 0 -1 1 1 2
+	3 0 1.00 60.00 120.00
+	3 0 1.00 60.00 120.00
+	 8550 5625 8910 5625
 4 1 0 50 -1 -1 10 0.0000 4 105 480 8190 6165 Rename\001
-4 1 0 50 -1 -1 10 0.0000 4 120 345 8190 6345 queue\001
+4 1 0 50 -1 -1 10 0.0000 4 105 345 8190 6345 queue\001
 4 2 0 50 -1 -1 10 0.0000 4 75 435 8865 5940 rename\001
-4 0 0 50 -1 -1 10 0.0000 4 150 405 4275 4230 update\001
-4 0 0 50 -1 -1 10 0.0000 4 105 345 4275 6165 decod\001
 4 0 0 50 -1 -1 10 0.0000 4 105 360 7695 4770 insert\001
+4 2 0 50 -1 -1 10 0.0000 4 90 465 8865 3780 execute\001
+4 1 0 50 -1 -1 10 0.0000 4 105 315 5490 4770 RAT\001
+4 1 0 50 -1 -1 10 0.0000 4 135 450 5490 4950 Update\001
+4 1 0 50 -1 -1 10 0.0000 4 105 270 6570 5580 Free\001
+4 1 0 50 -1 -1 10 0.0000 4 105 255 6570 5805 List\001
+4 0 0 50 -1 -1 10 0.0000 4 135 405 4815 4230 update\001
+4 0 0 50 -1 -1 10 0.0000 4 105 345 4815 6165 decod\001
 4 2 0 50 -1 -1 10 0.0000 4 105 345 7065 4770 retire\001
-4 2 0 50 -1 -1 10 0.0000 4 90 465 8865 3780 execute\001
+4 1 0 50 -1 -1 10 0.0000 4 105 390 8190 5535 Status\001
+4 1 0 50 -1 -1 10 0.0000 4 105 255 8190 5670 List\001
+4 1 0 50 -1 -1 10 0.0000 4 135 540 8190 5805 Manager\001
+4 2 0 50 -1 -1 10 0.0000 4 150 855 8865 5355 register_state\001
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_service.fig
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_service.fig	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Schema/MORPHEO_service.fig	(revision 30)
@@ -1,3 +1,3 @@
-#FIG 3.2  Produced by xfig version 3.2.5-alpha5
+#FIG 3.2
 Landscape
 Center
@@ -8,4 +8,6 @@
 -2
 1200 2
+5 1 0 1 0 29 50 -1 20 0.000 0 1 0 0 4575.000 2100.000 4350 2400 4575 2475 4800 2400
+5 1 0 1 0 2 48 -1 40 0.000 0 0 0 0 5025.000 2700.000 4800 2400 5025 2325 5250 2400
 6 3675 4050 4725 4650
 5 1 0 1 0 2 50 -1 20 0.000 0 1 0 0 3975.000 4200.000 3750 4500 3975 4575 4200 4500
@@ -31,12 +33,4 @@
 2 1 0 1 0 31 50 -1 20 0.000 0 0 7 0 0 4
 	 6150 4500 6150 4050 7050 4050 7050 4500
--6
-6 4350 1950 5250 2550
-5 1 0 1 0 29 50 -1 20 0.000 0 1 0 0 4575.000 2100.000 4350 2400 4575 2475 4800 2400
-5 1 0 1 0 2 48 -1 40 0.000 0 0 0 0 5025.000 2700.000 4800 2400 5025 2325 5250 2400
-2 1 0 1 0 29 50 -1 20 0.000 0 0 7 0 0 4
-	 4350 2400 4350 1950 5250 1950 5250 2400
-4 1 0 50 -1 -1 10 0.0000 4 105 255 4800 2325 .gen\001
-4 1 0 50 -1 -1 10 0.0000 4 120 675 4800 2100 G\351n\351rateur\001
 -6
 6 5550 1950 6450 2550
@@ -87,5 +81,7 @@
 2 4 0 1 0 4 50 -1 20 0.000 0 0 7 0 0 5
 	 5850 4050 4950 4050 4950 4500 5850 4500 5850 4050
-4 1 0 50 -1 -1 10 0.0000 4 150 570 5400 3225 Morpheo\001
+2 1 0 1 0 29 50 -1 20 0.000 0 0 7 0 0 4
+	 4350 2400 4350 1950 5250 1950 5250 2400
+4 1 0 50 -1 -1 10 0.0000 4 135 570 5400 3225 Morpheo\001
 4 1 0 50 -1 -1 10 0.0000 4 105 435 4200 4275 VHDL\001
 4 1 0 50 -1 -1 10 0.0000 4 105 435 4800 5475 VHDL\001
@@ -93,5 +89,7 @@
 4 1 0 50 -1 -1 10 0.0000 4 105 585 6000 5325 Statistics\001
 4 1 0 50 -1 -1 10 0.0000 4 105 585 6600 4200 Positions\001
-4 1 0 50 -1 -1 10 0.0000 4 120 255 6600 4425 .pos\001
+4 1 0 50 -1 -1 10 0.0000 4 105 255 6600 4425 .pos\001
 4 1 0 50 -1 -1 10 0.0000 4 105 465 7500 3225 Viewer\001
 4 1 0 50 -1 -1 10 0.0000 4 135 555 5400 4275 SystemC\001
+4 1 0 50 -1 -1 10 0.0000 4 105 255 4800 2325 .gen\001
+4 1 0 50 -1 -1 10 0.0000 4 105 615 4800 2100 Generator\001
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Type/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Type/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Type/article-Design_a_CPU_with_High_Performance_and_High_Configurability_on_FPGA	(revision 30)
@@ -0,0 +1,1 @@
+doc
Index: /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Type/poster-jnrdm_2007
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Type/poster-jnrdm_2007	(revision 30)
+++ /trunk/IPs/systemC/processor/Morpheo/Documentation/Source/Type/poster-jnrdm_2007	(revision 30)
@@ -0,0 +1,1 @@
+poster
Index: /trunk/IPs/systemC/processor/Morpheo/Makefile
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Makefile	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Makefile	(revision 30)
@@ -1,3 +1,3 @@
-include $(SOC)/Makefile.tools
+include $(MORPHEO_TOPLEVEL)/Makefile.tools
 
 #-----[ Directory ]----------------------------------------------------
@@ -72,4 +72,5 @@
 			@$(ECHO) ""
 			@$(ECHO) "Delete     temporary files              "$(PWD)
+			@$(RM) *~
 #			@$(MAKE) clean_rec DIR_CLEAN=.
 
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/BaseP.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/BaseP.h	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/BaseP.h	(revision 30)
@@ -22,4 +22,5 @@
       string comment;
       int level;
+     
     protected:
       
@@ -28,7 +29,8 @@
       morpheo::tools::viewer::bdd::Entity *getEntity();
       morpheo::tools::viewer::bdd::Architecture *getArchitecture(); 
-      QList<morpheo::tools::viewer::bdd::Component> *BaseP::getComponent();
+      QList<morpheo::tools::viewer::bdd::Component> *getComponent();
 
       BaseP();
+      BaseP(BaseP *p);
       ~BaseP ();
       void setComment(string s);
@@ -37,4 +39,5 @@
       int getLevel();
       void setLevel (int v);
+      int getSchema();
     };//end class BaseP
 
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/BaseV.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/BaseV.h	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/BaseV.h	(revision 30)
@@ -28,5 +28,5 @@
       //accesseurs
       morpheo::tools::viewer::bdd::BaseP  get_BasePos(string v);
-      morpheo::tools::viewer::bdd::Signal *getSignal(string c,PortMap *dest);
+      morpheo::tools::viewer::bdd::Signal *getSignal(morpheo::tools::viewer::bdd::BaseP *top,string c,PortMap *dest);
       QList<morpheo::tools::viewer::bdd::BaseP>  *getBaseP();
       //morpheo::tools::viewer::bdd::Param get_Param(string v);
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/Entity.h
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/Entity.h	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/include/Entity.h	(revision 30)
@@ -27,8 +27,9 @@
       
     public:
-      Entity(string n,int l);
+      Entity(string n,string t,int l);
       ~Entity();
       string getComment();
       string getName();
+      string getType();
       void setComment(string s);
       int getSchema();
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseP_accessors.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseP_accessors.cpp	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseP_accessors.cpp	(revision 30)
@@ -13,4 +13,8 @@
     comment=s;
   }
+  void BaseP::setLevel(int s){
+    level=s;
+  }
+ 
   void BaseP::setArchitecture(Architecture *a)
   {
@@ -35,4 +39,8 @@
     return comment;
   }
+  int BaseP::getLevel()
+  {
+    return level;
+  }
 
     QList<morpheo::tools::viewer::bdd::Component> *BaseP::getComponent()
@@ -41,4 +49,5 @@
   }
 
+  int BaseP::getSchema(){return ent->getSchema();}
 };//end bdd
 };//end viewer
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseP_alloc.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseP_alloc.cpp	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseP_alloc.cpp	(revision 30)
@@ -15,4 +15,8 @@
   }
 
+ BaseP::BaseP(BaseP *p){
+   *this=p;
+  }
+ 
 };//end bdd
 };//end viewer
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_afficheBaseConsole.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_afficheBaseConsole.cpp	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_afficheBaseConsole.cpp	(revision 30)
@@ -1,3 +1,3 @@
- /*
+/*
  *
  * [desc.]
@@ -13,4 +13,5 @@
         = pos->begin(); it != pos->end(); ++it)
     {
+     
       morpheo::tools::viewer::bdd::Entity *test=(it->getEntity());
       string n2=test->getName();
@@ -18,5 +19,5 @@
       cout << n << endl ;
       cout << "----Entity-----------------------------------------" <<endl;
-      cout << "Entity name:"<< n2<< endl;
+      cout << "Entity name:"<< n2 <<" level:"<< it->getLevel()<< endl;
       cout << "------------------ports east-----------------------" <<endl;
       
@@ -100,12 +101,14 @@
 	   cout << "port :" << it3->getPort() <<endl;
 	   cout << "comment :" << it3->getComment() <<endl;
-	  
-	  
+
+	   
 	   
 	     }
 	 }
       }//if
+      cout << endl<< "************    fin BASEP  *******************"<<endl <<endl;
+	
     }//for
-    
+      
   }
   
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_getSignal.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_getSignal.cpp	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_getSignal.cpp	(revision 30)
@@ -9,9 +9,14 @@
 namespace viewer{
 namespace bdd{  
-
-  morpheo::tools::viewer::bdd::Signal *BaseV::getSignal(string c,morpheo::tools::viewer::bdd::PortMap *dest)
+  /*
+   * search and find the signal 
+   * top : actual component is viewed on screen
+   * c: the component (source) which is connected to the dest
+   * dest : the port destination informations
+   */
+  morpheo::tools::viewer::bdd::Signal *BaseV::getSignal(BaseP *top,string c,morpheo::tools::viewer::bdd::PortMap *dest)
   {
     int srcX,srcY,destX,destY;
-    Architecture *aa=((pos->operator[](0)).getArchitecture());
+    Architecture *aa=top->getArchitecture();
     morpheo::tools::viewer::bdd::Component x=aa->getComponent(c);
     // cout << dest->getName() <<endl;  
@@ -19,5 +24,5 @@
     srcX=p->get_x();
     srcY=p->get_y();
-    // cout << dest->getComponent() <<endl;  
+    //cout << dest->getComponent() <<endl;  
     morpheo::tools::viewer::bdd::BaseP res=get_BasePos(dest->getComponent());
     morpheo::tools::viewer::bdd::Port *pm=(res.getEntity())->searchPort(dest->getPort());
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_searchComponent.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_searchComponent.cpp	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/BaseV_searchComponent.cpp	(revision 30)
@@ -1,2 +1,3 @@
+
  /*
  *
@@ -11,5 +12,11 @@
 
   morpheo::tools::viewer::bdd::BaseP BaseV::get_BasePos(string v){ 
-    return pos->operator[](listcomp->indexOf(v,0));
+    int tmp=listcomp->indexOf(v,0);
+    if(tmp==-1){
+      cout << "not found\n";
+      return NULL;
+    }
+    else
+      return pos->operator[](tmp);
   }
 
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/Entity_accessors.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/Entity_accessors.cpp	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/Entity_accessors.cpp	(revision 30)
@@ -18,4 +18,5 @@
   
   string Entity::getName(){ return name;}
+  string Entity::getType(){ return type;}
   
   int Entity::getSchema(){return schema;}
Index: /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/Entity_alloc.cpp
===================================================================
--- /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/Entity_alloc.cpp	(revision 20)
+++ /trunk/IPs/systemC/processor/Morpheo/Tools/Viewer/Bdd/src/Entity_alloc.cpp	(revision 30)
@@ -11,10 +11,10 @@
 
 
-  Entity::Entity(string n,int l)
+  Entity::Entity(string n,string t,int l)
     :ListePorts()
   {
     name=n;
     schema=l;
-
+    type=t;
   }
  
